### Method

# Gimp Metadata set_from_iptc

#### Declaration [src]

    gboolean
    gimp_metadata_set_from_iptc (
      GimpMetadata* metadata,
      const guchar* iptc_data,
      gint iptc_data_length,
      GError** error
    )

#### Description [src]

Sets the tags from a piece of IPTC data on `metadata`.

Available since: | 2.10

#### Parameters

`iptc_data` | An array of `guchar`
| The blob of Iptc data to set.
| The length of the array is specified in the `iptc_data_length` argument.
| The data is owned by the caller of the function.
`iptc_data_length` | `gint`
| Length of `iptc_data`, in bytes.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` on success, `FALSE` otherwise.